Search processing.org:

Reference for Processing version 1.0.1+. If you have a previous version, use the reference included with your software. If you see any errors or have any comments, let us know.

Class | Serial

Name

### readString()

Examples

    // Example by Tom Igoe

    import processing.serial.*;

    Serial myPort;  // The serial port

    void setup() {
      // List all the available serial ports:
      println(Serial.list());

      // I know that the first port in the serial list on my mac
      // is always my  Keyspan adaptor, so I open Serial.list()[0].
      // Open whatever port is the one you're using.
      myPort = new Serial(this, Serial.list()[0], 9600);
    }

    void draw() {
      while (myPort.available() > 0) {
        String inBuffer = myPort.readString();
        if (inBuffer != null) {
          println(inBuffer);
        }
      }
    }

Description | Returns all the data from the buffer as a String. This method assumes the incoming characters are ASCII. If you want to transfer Unicode data, first convert the String to a byte stream in the representation of your choice (i.e. UTF8 or two-byte Unicode data), and send it as a byte array.

Syntax

    serial.readString()

Parameters

mov | any variable of type Serial

Returns | String
Usage | Web & Application

Updated on November 22, 2008 08:39:23pm PST